
%define debug_package %{nil}

Summary: VMEDAQ - VME Data Acquisition System
Name: vmedaq
Version: 1.1.8
Release: 0%{?dist}
License: GPL
Group: System Environment/Base
URL: http://afi.jinr.ru/VMEDAQ
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: kmod-pexml >= 1.33
Requires: vmedaq-cal
BuildRequires: qt5-qtbase-devel

%description
VMEDAQ is a set of programs for online data acquisition with VME systems.

%prep
%setup -q

%build
make %{?_smp_mflags} GIT_VERSION=1.1.8-0-gf0a3fdc NODEBUG=yes

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%{buildroot}%{_prefix}
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
cp -f data/vmedaq_cal.ini %{buildroot}%{_sysconfdir}/%{name}
mkdir -p %{buildroot}%{_datadir}/applications/
cp -f data/vmedaq.desktop %{buildroot}%{_datadir}/applications/
cp -f data/vmegui.desktop %{buildroot}%{_datadir}/applications/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/applications/*
%doc

%package cal
Summary: VMEDAQ calibration data
Conflicts: %{name} < 1.0-14

%description cal
Files with factory calibration data

%files cal
%defattr(-,root,root)
%{_sysconfdir}/%{name}/*


%changelog
* Fri Oct 28 2016  <Ilja.Slepnev@jinr.ru> 1.0-14
- new package for calibration data

* Mon Jun 22 2015  <Ilja.Slepnev@jinr.ru> -
- no depend on mlink_load

* Tue Apr 15 2014  <Ilja.Slepnev@jinr.ru> -
- changed dependencies (require kmod-pexml, /usr/bin/mlink_load)

* Wed Oct 26 2011  <Ilja.Slepnev@jinr.ru> -
- calibration data file support

* Tue Jun 22 2010  <Ilja.Slepnev@jinr.ru> -
- architecture changes towards qt style
- removed zlib dependency
- removed libxmlpp dependency

* Tue Jun  1 2010  <Ilja.Slepnev@jinr.ru> -
- ported to qt4

* Sun Mar 28 2010  <Ilja.Slepnev@jinr.ru> -
- modified to use mlink-1.32

* Wed Aug  5 2009  <Ilja.Slepnev@jinr.ru> -
- Removed custom crc32 code, use Zlib

* Wed Apr 22 2009  <Ilja.Slepnev@jinr.ru> -
- get version number from version.h

* Thu Apr 16 2009  <Ilja.Slepnev@jinr.ru> - 
- Added VME Manual Controller

* Wed Apr 08 2009  <Ilja.Slepnev@jinr.ru> - 
- 1.29: Removed special run-mode. Packet mode only.

* Thu Feb 12 2009  <Ilja.Slepnev@jinr.ru> - 
- Histograms: added axis labels and titles, set from histmgr.xml

* Thu Nov 27 2008  <Ilja.Slepnev@jinr.ru> - 
- Initial build.
